#include "Leben.h"
#include "Spieler.h"

LebenEffect::LebenEffect( ResourceRegistry *zResources, Spieler *zSpieler )
    : Effect( zSpieler, 10.f + ( 10.f / 100.f ) * zSpieler->getAbklingZeitVerringerung() )
{
    zSpieler->setLebensRegeneration( zSpieler->getLebensRegenneration() + 10 );
    effectImage = zResources->zResource( R_LEBEN, 0 )->getImage( 0 );
}

LebenEffect::~LebenEffect()
{
    zSpieler->setLebensRegeneration( zSpieler->getLebensRegenneration() - 10 );
}
